var ExpanDrive;

ExpanDrive = (function() {
  function ExpanDrive() {}

  ExpanDrive.prototype.startDrive = function(id, info, password) {
    alert(info);
    App.sendMessage(id, "EXPANDRIVE_CONNECT_PROGRESS:drive_connecting");
    setTimeout(function() {
      App.sendMessage(id, "EXPANDRIVE_CONNECT_PROGRESS:drive_connected");
    }, 2000);
    
  };

  ExpanDrive.prototype.log = function(message) {
    console.log(message);
  };

  ExpanDrive.prototype.revealDrive = function(id) {
    return alert("Reveal drive");
  };

  ExpanDrive.prototype.ejectDrive = function(id) {
    return alert("Eject drive");
  };

  ExpanDrive.prototype.writeLine = function(id, message) {
    return alert("Writing message " + id + " " + message);
  };

  ExpanDrive.prototype.passwordPrompt = function(id, message) {
    return alert("password prompt");
  };

  ExpanDrive.prototype.inputPrompt = function(id, message) {
    return alert("inputPrompt");
  };

  ExpanDrive.prototype.keyPrompt = function(id, message) {
    return alert("keyPrompt");
  };

  ExpanDrive.prototype.privateKeyData = function() {
    return alert("thedata");
  };

  ExpanDrive.prototype.quit = function() {
    return alert("call quit");
  };

  return ExpanDrive;

})();

var File;

File = (function() {
  function File() {
    this.content = '[ \
                { \
                  "id": "asdf33", "type": "sftp", \
                  "name": "je3ff", \
                  "server": "test.strongspace.com", \
                  "username" : "jmancuso", \
                  "port" : "22", \
                  "remotePath" : "/strongspace" \
                }, \
                { \
                  "name": "Box.com", \
                  "server": "Box.com", \
                  "remotePath": "", \
                  "port": "", \
                  "authentication": "password", \
                  "encryption": "ENC_NONE", \
                  "username": "jmancuso@gmail.com", \
                  "type": "box", \
                  "reconnectAtLogon": false, \
                  "id": "lio8p5mwe6n"}, \
                { \
                  "type": "sftp", \
                  "name": "jeff3", \
                  "id": "2", \
                  "more_options" : true, \
                  "server" : "somet2hing.else.com", \
                  "username" : "someuser", \
                  "port" : "23"}, \
                  {"type": "ftp", \
                  "name": "jefftp", \
                  "id": "9", \
                  "server" : "ftp.else.com", \
                  "username" : "someuser", \
                  "port" : "21", \
                  "encryption" : "ENC_REQ" \
                }, \
                { \
                  "server": "ab", \
                  "username": "b", \
                  "type": "sftp", \
                  "name": "asdf", \
                  "save_password": true, \
                  "id": "h0a47lo" \
                } \
              ]';

  }

  File.prototype.reader = function() {
    return this.content;
  };

  File.prototype.writer = function(string) {
    return this.content = string;
  };

  return File;

})();


var Keychain;

Keychain = (function() {
  function Keychain() {
    //this.username = "hemancuso";
    //this.password = "hemancuso";
    this.keychain = {};
  }

  Keychain.prototype.get = function(server, username, protocol, port, encryptedPassword) {
    if(this.keychain[server + protocol] != undefined) {
        return this.keychain[server + protocol];
    }
    return "";
  };

  Keychain.prototype.save = function(server, username, password, type, port) {
    this.keychain[server + type] = password;
    return "";
  };

  Keychain.prototype.openOAuthURL = function(url) {
    return window.open(url);
  };

  return Keychain;

})();

var Growl;

Growl = (function() {
  function Growl() {}

  Growl.prototype.postNotification = function(title, message) {
    return alert("" + title + "\n\n" + message);
  };

  return Growl;

})();

var LoginItem, Settings, Updater;

Settings = (function() {
  function Settings() {
    this.prefs = {
      "RevealAfterConnect": true,
      "ShowManagerAtLaunch": true,
      "ReleaseChannel": "beta",
      "SUEnableAutomaticChecks": true
    };
  }

  Settings.prototype.setBool = function(value, key) {
    return this.prefs[key] = value;
  };

  Settings.prototype.getBool = function(key) {
    return this.prefs[key];
  };

  Settings.prototype.setString = function(value, key) {
    alert("Setting " + value + " for " + key);
    return this.prefs[key] = value;
  };

  Settings.prototype.getString = function(key) {
    return this.prefs[key];
  };

  Settings.prototype.platform = function() {
    return "mac";
  };

  Settings.prototype.setWindowTitle = function(title) {

  };

  Settings.prototype.bundleversion = function() {
    return "3020";
  };

  Settings.prototype.installTerminalUtility = function(location) {
    return alert("install terminal utility: " + location);
  };

  Settings.prototype.sendToStore = function() {
    return alert("Send to store for upgrade");
  };

  Settings.prototype.sendFeedback = function() {
    return alert("Send to feedback form");
  };

  Settings.prototype.showLogs = function() {
    return alert("Show Logs");
  };

  return Settings;

})();

LoginItem = (function() {
  function LoginItem() {}

  LoginItem.prototype.willLaunchAtLogon = function() {
    return true;
  };

  LoginItem.prototype.setLaunchAtLogon = function(enabled) {
    return alert("Launch at logon: " + enabled);
  };

  LoginItem.prototype.launchedAtLogon = function() {
    return false;
  };

  return LoginItem;

})();

Updater = (function() {
  function Updater() {}

  Updater.prototype.checkForUpdates = function() {
    return alert("CHECKING FOR UPDATES");
  };

  return Updater;

})();

var OAuth;
OAuth = (function() {
  function OAuth() {}

  OAuth.prototype.startGDriveAuth = function() {
    window.setOauthCredentials("jmancuso@gmail.com", "refresh_token");
  };

  OAuth.prototype.startBoxAuth = function() {
    window.setOauthCredentials("jmancuso@gmail.com", "refresh_token");
  };

  return OAuth;

})();

var License;

License = (function() {
  function License() {
    trial = {
      "name": "Somebody",
      "product_code": "Mac",
      "product_version": "3",
      "version": "2",
      "in_trial": "true",
      "quantity": "1",
      "valid_until": "2014-06-08"
    };

    registered = {
      "name": "Somebody",
      "product_code": "Mac",
      "product_version": "3",
      "version": "2",
      "in_trial": "false",
      "quantity": "1",
      "valid_until": "2014-06-08"
    };

    this.dict = trial;
  }

  License.prototype.getString = function(key) {
    r = this.dict[key];
    if(r == undefined)
      r = "";
    return r;
  };

  License.prototype.licenseSHA1 = function() {
    return "01f4973a8e519672b7a2618d8aa16d1fd70a7d6a8";
  };

  License.prototype.licenseV2SHA1 = function() {
    return "01f4973a8e51967b7a26128d8aa16d1fd70a7d6a8";
  };

  License.prototype.validLicense = function() {
    return Object.keys(this.dict).length > 0;
  };

  License.prototype.setLicenseString = function(data) {
    json = plist_to_json(data);
    json["Signature"] = json["Signature"].replace(/\ /g, "");
    this.dict = json;
    return this.dict;
  };

  License.prototype.licenseStatusMessage = function(data) {
    return "Licensed To Jeff Mancuso";
  };

  return License;

})();

if (typeof keychain === "undefined") {
  window.keychain = new Keychain;
  window.testing = true;
} else {
  window.testing = false;
}

if (typeof expandrive === "undefined") {
  window.expandrive = new ExpanDrive;
}
if (typeof file === "undefined") {
  window.file = new File;
}
if (typeof growl === "undefined") {
  window.growl = new Growl;
}
if (typeof settings === "undefined") {
  window.settings = new Settings;
}
if (typeof loginitem === "undefined") {
  window.loginitem = new LoginItem;
}
if (typeof updater === "undefined") {
  window.updater = new Updater;
}

if (typeof oauth === "undefined") {
  window.oauth = new OAuth;
}

if (typeof license === "undefined") {
  window.license = new License;
}
